export enum PointronEventEnum {
  NONE = "NONE",
  EVERY_SECOND = "EVERY_SECOND",
  INTERVAL_ENDED = "INTERVAL_ENDED",
  BREAK_ENDED = "BREAK_ENDED",
  SESSION_FINISHED = "SESSION_FINISHED",
  SESSION_CLOSED = "SESSION_CLOSED",
  SESSION_TIME_IS_UP = "SESSION_TIME_IS_UP",
  SESSION_START = "SESSION_START",
  ON_BREAK = "ON_BREAK",
  ON_RESUME = "ON_RESUME",
  ON_EXTEND = "ON_EXTEND",
  REFRESH_TIMELINE = "REFRESH_TIMELINE",
  ON_DURATION_CHANGE = "ON_DURATION_CHANGE",
  FINISH_CONFIRMATION_POP = "FINISH_CONFIRMATION_POP",
  RESTORE_CONFIRMATION_POP = "RESTORE_CONFIRMATION_POP",
  BREAK_REMINDER = "BREAK_REMINDER",
  WINDOW_CLICKED = "WINDOW_CLICKED",
  SHOW_ZEN_FOCUS = "SHOW_ZEN_FOCUS",
  MANUAL_FOCUS_ENTRY_POP = "MANUAL_FOCUS_ENTRIES",
  LOGS = "LOGS",
  ADD_TAG = "ADD_TAG",
  EDIT_TAG = "EDIT_TAG",
  IMPORT_APP_DATA = "IMPORT_APP_DATA",
  CONVERT_TO_SUBGOAL = "CONVERT_TO_SUBGOAL",
  DELETE_GOAL = "DELETE_GOAL",
  EDIT_PRESET = "EDIT_PRESET",
  GOALS_UPDATED = "GOALS_UPDATED",
  REFRESH_FOCUSITEMS = "REFRESH_FOCUSITEMS",
  TAG_LIST_UPDATED = "TAG_LIST_UPDATED",
  SUCCESSFUL_CONVERSION_TO_SUBGOAL = "SUCCESSFUL_CONVERSION_TO_SUBGOAL",
  COMPOSE_BY_END_TIME_MODAL = "SELECT_END_TIME",
  COMPOSE_TIME_MODAL = "COMPOSE_TIME",
  SESSION_LOG_MODAL = "SESSION_LOG",
  SAVE_PRESET_MODAL = "SAVE_PRESET",
  REFRESH_HORIZON_CHARTS = "REFRESH_HORIZON_CHARTS",
  BACKGROUND_MUSIC = "BACKGROUND_MUSIC",
  ABANDON_SESSION = "ABANDON_SESSION",
  FULL_SCREEN_FOCUS = "FULL_SCREEN_FOCUS",
  FOCUS_PLAYER = "FOCUS_PLAYER",
  CREATE_EDIT_GOAL = "CREATE_EDIT_GOAL",
  THINK_MODE = "THINK_MODE",
  SESSION_SETTINGS_MODAL = "SESSION_SETTINGS_MODAL",
  REFRESH_QUICK_FOCUS = "REFRESH_QUICK_FOCUS",
  DELETE_SESSION = "DELETE_SESSION",
  REFRESH_LOGS = "REFRESH_LOGS",
  SHOW_FOCUSITEMS_MODAL = "SHOW_FOCUSITEMS_MODAL",
  PREDEFINED_INTERVAL_NOTIFIER = "PREDEFINED_INTERVAL_NOTIFIER"
}
